<?php
$custom_css_template['colors'] = "
/* COLORS
------------------------------------------------------------------------*/

body{color:~color_body~;}

/* Headings */

h1, h2, h3, h4, h5, h6{color:~color_body~}  
a{color: ~color_body~;}
a:focus, a:active, a:hover{color:~color_accent~;}
.style2 a:focus, .style2 a:active, .style2 a:hover{color:~color_accent~;}

/* Logo */

.logo .header-logo-text{color:~color_accent~;}
.style2 .logo .header-logo-text{color:~color_accent~;}

/* Nav */

.navbar-default .navbar-nav > .active > a, 
.navbar-default .navbar-nav > .active > a:focus, 
.navbar-default .navbar-nav > .active > a:hover{color:~color_accent~;}
.navbar-default .navbar-nav > li > a:focus, 
.navbar-default .navbar-nav > li > a:hover{color:~color_accent~;}
.navbar-default .navbar-nav > .open > a, 
.navbar-default .navbar-nav > .open > a:focus, 
.navbar-default .navbar-nav > .open > a:hover{color:~color_accent~;}
.navbar-default .navbar-nav > li > .dropdown-menu{background-color:#fbfbfb;padding:0}
.dropdown-menu > .active > a, 
.dropdown-menu > .active > a:focus, 
.dropdown-menu > .active > a:hover,
.dropdown-menu > li > a:focus, 
.dropdown-menu > li > a:hover{background-color:#d2d2d2;color:#fff}

/* Misc */

.recent-posts-widget-with-thumbnails .rpwwt-post-categories,
.frontpage-banner .caption .category,
.entry-category a,
.pagination-blog-feed a:after,.pagination-blog-feed a:before,
.pagination-blog-feed a:hover,.pagination-blog-feed a:focus{color:~color_accent~;}

.style2 .recent-posts-widget-with-thumbnails .rpwwt-post-categories,
.style2 .frontpage-banner .caption .category,
.style2 .entry-category a,
.style2 .entry-category,
.style2 .entry-caption .category,
.style2 .pagination-blog-feed a:after,.pagination-blog-feed a:before,
.style2 .pagination-blog-feed a:hover,.pagination-blog-feed a:focus{color:inherit;}

.entry.entry-sticky{border-right:3px solid ~color_accent~}

.navbar-default .navbar-toggle:focus .icon-bar, 
.navbar-default .navbar-toggle:hover .icon-bar,
.entry-tags a:hover { background-color: ~color_accent~;}

.style2 .navbar-default .navbar-toggle:focus .icon-bar, 
.style2 .navbar-default .navbar-toggle:hover .icon-bar,
.style2 .entry-tags a:hover { background-color: #000;}

";

$custom_css_template['fonts'] = 
"
/* FONTS
------------------------------------------------------------------------*/

/* Body */
body{font-family: '~font_body_name~';font-size:~font_body_size~;font-weight:~font_body_variant~; text-transform:~font_body_transform~}
body.style2{font-family: '~font_body_name~';font-size:~font_body_size~;font-weight:~font_body_variant~; text-transform:~font_body_transform~}

/* Headings */
.h1, .h2, .h3, .h4, .h5, .h6, 
h1, h2, h3, h4, h5, h6{font-family:'~font_heading_name~';font-weight: ~font_heading_variant~; text-transform:~font_heading_transform~;}  
.style2 .h1,.style2 .h2,.style2 .h3,.style2 .h4,.style2 .h5,.style2 .h6, 
.style2 h1,.style2 h2,.style2 h3,.style2 h4,.style2 h5,.style2 h6{font-family:'~font_heading_name~';font-weight: ~font_heading_variant~; text-transform:~font_heading_transform~;}  
h1{font-size:~font_h1_size~;} .style2 h1{font-size:~font_h1_size~;}
h2{font-size:~font_h2_size~;} .style2 h2{font-size:~font_h2_size~;}
h3{font-size:~font_h3_size~;} .style2 h3{font-size:~font_h3_size~;}
h4{font-size:~font_h4_size~;} .style2 h4{font-size:~font_h4_size~;}
h5{font-size:~font_h5_size~;} .style2 h5{font-size:~font_h5_size~;}
h6{font-size:~font_h6_size~;} .style2 h6{font-size:~font_h6_size~;}

/* Logo and Tagline */
.logo .header-logo-text{font-size:~font_logo_size~;font-family:'~font_logo_name~';font-weight:~font_logo_variant~;text-transform:~font_logo_transform~;}
.tagline{font-size:~font_tagline_size~; font-family: '~font_tagline_name~';font-weight:~font_tagline_variant~; text-transform:~font_tagline_transform~}

/* Nav */
.navbar-default .navbar-nav > li > a{font-family:'~font_body_name~';font-size:12px;font-weight:400;letter-spacing:1px;}
.navbar-default .dropdown-menu > li > a{font-family:'~font_body_name~';font-size:11px;}
.header-row-1-left .menu > li > a{font-family:'~font_body_name~';font-size:10px;text-transform:uppercase;}

.style2 .navbar-default .navbar-nav > li > a{font-family:'~font_heading_name~';font-size:12px;letter-spacing:1px;}
.style2 .navbar-default .dropdown-menu > li > a{font-family:'~font_heading_name~';font-size:11px;}
.style2 .header-row-1-left .menu > li > a{font-family:'~font_heading_name~';font-size:10px;text-transform:uppercase;}

/* Widgets */
.style2 .header-row-1-left .menu > li > a{font-family:'~font_heading_name~';font-size:10px;text-transform:uppercase;}
";