<?php
/**
 * Customizer functionality
 *
 * @package juliet
 */
?>
<?php 
/*------------------------------
 Panels and Sections
 ------------------------------*/

function juliet_customizer_panels_sections( $wp_customize ) {
    
    #juliet_section_general_settings
    $wp_customize->add_section( 'juliet_section_theme_info', array(
        'title'       => esc_html__( 'Juliet Pro - Info', 'juliet' ),
        'priority'    => 0
    ) );
    
    #juliet_section_general_settings
    $wp_customize->add_section( 'juliet_section_general_settings', array(
        'title'       => esc_html__( 'General Settings', 'juliet' ),
        'priority'    => 10
    ) );
    
    #juliet_panel_frontpage
    $wp_customize->add_panel( 'juliet_panel_frontpage', array(
        'priority'    => 61,
        'title'       => esc_html__( 'Front Page', 'juliet' ),
    ) );
    $wp_customize->add_section( 'juliet_section_frontpage_banner', array(
        'title'       => esc_html__( 'Banner / Slider', 'juliet' ),
        'priority'    => 61,
        'panel'       => 'juliet_panel_frontpage',
    ) );
    $wp_customize->add_section( 'juliet_section_frontpage_featured_links', array(
        'title'       => esc_html__( 'Featured Links/Pages', 'juliet' ),
        'priority'    => 62,
        'panel'       => 'juliet_panel_frontpage',
    ) );
    $wp_customize->add_section( 'juliet_section_frontpage_featured_posts', array(
        'title'       => esc_html__( 'Featured Posts', 'juliet' ),
        'priority'    => 63,
        'panel'       => 'juliet_panel_frontpage',
    ) );
    $wp_customize->add_section( 'juliet_section_frontpage_blog_feed', array(
        'title'       => esc_html__( 'Blog Feed', 'juliet' ),
        'priority'    => 64,
        'panel'       => 'juliet_panel_frontpage',
    ) );
    $wp_customize->add_section( 'juliet_section_frontpage_large_post', array(
        'title'       => esc_html__( 'Large / Highlight Post', 'juliet' ),
        'priority'    => 65,
        'panel'       => 'juliet_panel_frontpage',
    ) );
    $wp_customize->add_section( 'juliet_section_frontpage_focus', array(
        'title'       => esc_html__( 'Focus Posts / More Posts', 'juliet' ),
        'priority'    => 66,
        'panel'       => 'juliet_panel_frontpage',
    ) );
    
    #juliet_section_blog_feed
    $wp_customize->add_section( 'juliet_section_blog_feed', array(
        'title'       => esc_html__( 'Blog Feed', 'juliet' ),
        'priority'    => 70
    ) );
    
    #juliet_section_posts
    $wp_customize->add_section( 'juliet_section_posts', array(
        'title'       => esc_html__( 'Posts', 'juliet' ),
        'priority'    => 71,
    ) );
   
    #juliet_section_pages
    $wp_customize->add_section( 'juliet_section_pages', array(
        'title'       => esc_html__( 'Pages', 'juliet' ),
        'priority'    => 72,
    ) );
    
    #juliet_section_typography
    $wp_customize->add_section( 'juliet_section_typography', array(
        'title'       => esc_html__( 'Custom Typography', 'juliet' ),
        'priority'    => 74,
    ) );
    
    #juliet_section_ads
    $wp_customize->add_section( 'juliet_section_ads', array(
        'title'       => esc_html__( 'Ad Options', 'juliet' ),
        'priority'    => 89,
    ) );
    
    #juliet_section_woocommerce
    $wp_customize->add_section( 'juliet_section_woocommerce', array(
        'title'       => esc_html__( 'WooCommerce', 'juliet' ),
        'priority'    => 90,
    ) );
	
	#juliet_section_advanced
    $wp_customize->add_section( 'juliet_section_advanced', array(
        'title'       => esc_html__( 'Advanced', 'juliet' ),
        'priority'    => 91,
    ) );
    
    #juliet_section_menu
    $wp_customize->add_section( 'juliet_section_menu', array(
        'title'       => esc_html__( 'Menu Settings', 'juliet' ),
        'priority'    => 92,
    ) );
	
}

add_action( 'customize_register', 'juliet_customizer_panels_sections' );


/*------------------------------
 Fields
 ------------------------------*/
 
function juliet_customizer_fields( $fields ) {
    
    global $juliet_defaults;
    
    #juliet_section_theme_info
    #-----------------------------------------
    
    $fields[] = array(
        'type'        => 'custom',
        'settings'    => 'juliet_theme_info',
        'label'       => esc_html__( 'Juliet PRO', 'juliet' ),
        'description' => wp_kses_post( '<h3>Demo Site</h3>
        <p>Head on over to the <a href="http://www.lyrathemes.com/preview/?theme=juliet-pro" target="_blank">Juliet Pro demo</a> to see what you can accomplish with this theme!</p>
        <h3>Documentation</h3>
        <p>Read how to customize the theme, set up widgets, and learn of all the possible options available to you.</p>
        <p><a class="button" href="https://www.lyrathemes.com/documentation/juliet-pro.pdf" target="_blank">Juliet Pro Documentation</a></p>
        <h3>Sample Data</h3>
        <p>You can install the content and settings shown on our demo site by importing this sample data.</p>
        <p><strong>Important:</strong> After you have initiated the demo content upload, you will be given a checkbox option to `Import File Attachments`. <strong>Please DO NOT check this box</strong> as the images in the demo are NOT licensed for distribution.</p>
        <p><a class="button" href="https://www.lyrathemes.com/sample-data/juliet-pro-sample-data.zip" target="_blank">Juliet Pro Sample Data</a></p>
        <h3>Feedback and Support</h3>
        <p>For feedback and support, please contact us and we would be happy to assist!</p>
        <p><a class="button" href="https://www.lyrathemes.com/support/" target="_blank">Juliet Pro Support</a></p>
        ', 'juliet' ),
        'section'     => 'juliet_section_theme_info',
        'priority'    => 1,

        );
    
    #juliet_section_general_settings
    #-----------------------------------------
    
    $fields[] = array(
        'type'        => 'radio',
        'settings'    => 'juliet_skin',
        'label'       => esc_html__( 'Select Skin', 'juliet' ),
        'section'     => 'juliet_section_general_settings',
        'priority'    => 1,
        'default'     => $juliet_defaults['juliet_skin'],
        'choices'     => array(
                            'Classic'   => array(
                                esc_attr__( 'Classic', 'juliet' ),
                                esc_attr__( 'Serif fonts and pink accent color.', 'juliet' ),
                            ),
                            'Contemporary' => array(
                                esc_attr__( 'Contemporary', 'juliet' ),
                                esc_attr__( 'Minimalist look, black and white.', 'juliet' ),
                            ),
                        ),
    );	
	$fields[] = array(
        'type'        => 'radio',
        'settings'    => 'juliet_header',
        'label'       => esc_html__( 'Select Header', 'juliet' ),
        'section'     => 'juliet_section_general_settings',
        'priority'    => 1,
        'default'     => $juliet_defaults['juliet_header'],
        'choices'     => array(
                            'Left'   => array(
                                esc_attr__( 'Logo - Left', 'juliet' ),
                                esc_attr__( 'Logo on the left and navigation on the same line towards the right.', 'juliet' ),
                            ),
                            'Center' => array(
                                esc_attr__( 'Logo - Center', 'juliet' ),
                                esc_attr__( 'Logo in the center and the navigation centered right below it.', 'juliet' ),
                            ),
                        ),
    );
    $fields[] = array(
        'type'        => 'textarea',
        'settings'     => 'juliet_footer_copyright',
        'label'       => esc_html__( 'Copyright Text', 'juliet' ),
        'description' => esc_html__( 'Accepts HTML.', 'juliet' ),
        'section'     => 'juliet_section_general_settings',
        'priority'    => 2,
        'default'     => $juliet_defaults['juliet_footer_copyright'],
        'sanitize_callback' => 'force_balance_tags',
    );    
    $fields[] = array(
        'type'        => 'toggle',
        'settings'     => 'juliet_enable_fancy_scrollbar',
        'label'       => esc_html__( 'Enable Fancy Scrollbar?', 'juliet' ),
        'description' => esc_html__( 'Whether to replace the default page scrollbar with a fancy scrollbar.', 'juliet' ),
        'section'     => 'juliet_section_general_settings',
        'priority'    => 3,
        'default'     => $juliet_defaults['juliet_enable_fancy_scrollbar']
    ); 
    $fields[] = array(
        'type'        => 'image',
        'settings'     => 'juliet_sticky_post_signature',
        'label'       => esc_html__('Sticky Post Signature', 'juliet' ),
        'description' => esc_html__('Upload an image to include at the end of each sticky post, something like a signature..', 'juliet' ),
        'section'     => 'juliet_section_general_settings',
        'priority'    => 6,
        'default'     => $juliet_defaults['juliet_sticky_post_signature']
    );
	$fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'juliet_example_content',
        'label'       => esc_html__( 'Show Example Content?', 'juliet' ),
        'description' => esc_html__( 'Turning this off will disable all default/sample images for posts. It will also hide all default widgets in the Default Sidebar.', 'juliet' ),
        'section'     => 'juliet_section_general_settings',
        'priority'    => 6,
        'default'     => $juliet_defaults['juliet_example_content']
    );
    
    #title_tagline
    #-----------------------------------------
    
    $fields[] = array(
        'type'        => 'switch',
        'settings'     => 'juliet_image_logo_show',
        'label'       => esc_html__('Show Image Logo?', 'juliet' ),
        'description' => esc_html__('Choose whether to display the image logo.', 'juliet' ),
        'section'     => 'title_tagline',
        'priority'    => 1,
        'default'     => $juliet_defaults['juliet_image_logo_show'],
        'choices'     => array( 'on'  => esc_attr__( 'SHOW', 'juliet' ), 'off' => esc_attr__( 'HIDE', 'juliet' ) ),
    );
    $fields[] = array(
        'type'        => 'text',
        'settings'     => 'juliet_text_logo',
        'label'       => esc_html__('Text Logo', 'juliet' ),
        'description' => esc_html__('Displayed when `Show Image Logo?` is set to `Show` or if there is no logo image uploaded.', 'juliet' ),
        'section'     => 'title_tagline',
        'priority'    => 2,
        'default'     => $juliet_defaults['juliet_text_logo'],
        'active_callback'  => array( array( 'setting'  => 'juliet_image_logo_show', 'operator' => '==', 'value'    => false ) ),
        'sanitize_callback'=> 'sanitize_text_field'
    );
    
    $fields[] = array(
        'type'        => 'custom',
        'settings'     => 'juliet_text_logo_sep1',
        'label'       => '<hr />',
        'section'     => 'title_tagline',
        'priority'    => 3
    );
    
    #juliet_section_colors
    #-----------------------------------------
    
    $fields[] = array(
        'type'        => 'switch',
        'settings'     => 'juliet_custom_colors',
        'label'       => esc_html__('Default or Custom Colors?', 'juliet' ),
        'section'     => 'colors',
        'priority'    => 1,
        'default'     => $juliet_defaults['juliet_custom_colors'],
        'choices' => array( 'on'  => esc_attr__( 'CUSTOM', 'juliet' ), 'off' => esc_attr__( 'DEFAULT', 'juliet' ) )
    ); 
    $fields[] = array(
        'type'        => 'custom',
        'settings'     => 'juliet_custom_colors_sep1',
        'label'       => '<hr />',
        'section'     => 'colors',
        'priority'    => 2,
        'active_callback'  => array( array( 'setting'  => 'juliet_custom_colors', 'operator' => '==', 'value'    => true ) )
    );
    $fields[] = array(
        'type'        => 'color',
        'settings'    => 'juliet_custom_colors_body',
        'label'       => esc_html__('Body/Text Color', 'juliet' ),
        'section'     => 'colors',
        'priority'    => 3,
        'default'     => $juliet_defaults['juliet_custom_colors_body'],
        'active_callback'  => array( array( 'setting'  => 'juliet_custom_colors', 'operator' => '==', 'value'    => true ) )
    );
    $fields[] = array(
        'type'        => 'color',
        'settings'    => 'juliet_custom_colors_accent',
        'label'       => esc_html__('Accent Color', 'juliet' ),
        'section'     => 'colors',
        'priority'    => 4,
        'default'     => $juliet_defaults['juliet_custom_colors_accent'],
        'active_callback'  => array( array( 'setting'  => 'juliet_custom_colors', 'operator' => '==', 'value'    => true ) )
    );
    $fields[] = array(
        'type'        => 'color',
        'settings'    => 'juliet_custom_colors_scrollbar',
        'label'       => esc_html__('Scrollbar Color', 'juliet' ),
        'section'     => 'colors',
        'priority'    => 5,
        'default'     => $juliet_defaults['juliet_custom_colors_scrollbar'],
        'active_callback'  => array( array( 'setting'  => 'juliet_custom_colors', 'operator' => '==', 'value'    => true ) )
    );
    
    #juliet_section_typography
    #-----------------------------------------
    
    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'juliet_custom_typography',
        'label'       => esc_html__('Default or Custom Typography?', 'juliet' ),
        'section'     => 'juliet_section_typography',
        'priority'    => 1,
        'default'     => $juliet_defaults['juliet_custom_typography'],
        'choices' => array( 'on'  => esc_attr__( 'CUSTOM', 'juliet' ), 'off' => esc_attr__( 'DEFAULT', 'juliet' ) )
    ); 
    $fields[] = array(
        'type'        => 'custom',
        'settings'    => 'juliet_custom_typography_sep1',
        'label'       => '<hr />',
        'section'     => 'juliet_section_typography',
        'priority'    => 2,
        'active_callback'  => array( array( 'setting'  => 'juliet_custom_typography', 'operator' => '==', 'value'    => true ) )
    );
    $fields[] = array(
        'type'        => 'typography',
        'settings'    => 'juliet_custom_typography_body_font',
        'label'       => esc_html__('Body Font', 'juliet' ),
        'section'     => 'juliet_section_typography',
        'priority'    => 3,
        'default'     => $juliet_defaults['juliet_custom_typography_body_font'],
        'active_callback'  => array( array( 'setting'  => 'juliet_custom_typography', 'operator' => '==', 'value'    => true ) )
    ); 
    $fields[] = array(
        'type'        => 'typography',
        'settings'    => 'juliet_custom_typography_logo_font',
        'label'       => esc_html__('Logo Font', 'juliet' ),
        'section'     => 'juliet_section_typography',
        'priority'    => 4,
        'default'     => $juliet_defaults['juliet_custom_typography_logo_font'],
        'active_callback'  => array( array( 'setting'  => 'juliet_custom_typography', 'operator' => '==', 'value'    => true ) )
    ); 
    $fields[] = array(
        'type'        => 'typography',
        'settings'    => 'juliet_custom_typography_tagline_font',
        'label'       => esc_html__('Tagline Font', 'juliet' ),
        'section'     => 'juliet_section_typography',
        'priority'    => 5,
        'default'     => $juliet_defaults['juliet_custom_typography_tagline_font'],
        'active_callback'  => array( array( 'setting'  => 'juliet_custom_typography', 'operator' => '==', 'value'    => true ) )
    ); 
    $fields[] = array(
        'type'        => 'typography',
        'settings'    => 'juliet_custom_typography_heading_font',
        'label'       => esc_html__('Headings', 'juliet' ),
        'section'     => 'juliet_section_typography',
        'priority'    => 6,
        'default'     => $juliet_defaults['juliet_custom_typography_heading_font'],
        'active_callback'  => array( array( 'setting'  => 'juliet_custom_typography', 'operator' => '==', 'value'    => true ) )
    ); 
    $fields[] = array(
        'type'        => 'typography',
        'settings'    => 'juliet_custom_typography_h1_font',
        'label'       => esc_html__('Heading 1 (H1)', 'juliet' ),
        'section'     => 'juliet_section_typography',
        'priority'    => 6,
        'default'     => $juliet_defaults['juliet_custom_typography_h1_font'],
        'active_callback'  => array( array( 'setting'  => 'juliet_custom_typography', 'operator' => '==', 'value'    => true ) )
    ); 
    $fields[] = array(
        'type'        => 'typography',
        'settings'    => 'juliet_custom_typography_h2_font',
        'label'       => esc_html__('Heading 2 (H2)', 'juliet' ),
        'section'     => 'juliet_section_typography',
        'priority'    => 7,
        'default'     => $juliet_defaults['juliet_custom_typography_h2_font'],
        'active_callback'  => array( array( 'setting'  => 'juliet_custom_typography', 'operator' => '==', 'value'    => true ) )
    ); 
    $fields[] = array(
        'type'        => 'typography',
        'settings'    => 'juliet_custom_typography_h3_font',
        'label'       => esc_html__('Heading 3 (H3)', 'juliet' ),
        'section'     => 'juliet_section_typography',
        'priority'    => 8,
        'default'     => $juliet_defaults['juliet_custom_typography_h3_font'],
        'active_callback'  => array( array( 'setting'  => 'juliet_custom_typography', 'operator' => '==', 'value'    => true ) )
    ); 
    $fields[] = array(
        'type'        => 'typography',
        'settings'    => 'juliet_custom_typography_h4_font',
        'label'       => esc_html__('Heading 4 (H4)', 'juliet' ),
        'section'     => 'juliet_section_typography',
        'priority'    => 9,
        'default'     => $juliet_defaults['juliet_custom_typography_h4_font'],
        'active_callback'  => array( array( 'setting'  => 'juliet_custom_typography', 'operator' => '==', 'value'    => true ) )
    ); 
    $fields[] = array(
        'type'        => 'typography',
        'settings'    => 'juliet_custom_typography_h5_font',
        'label'       => esc_html__('Heading 5 (H5)', 'juliet' ),
        'section'     => 'juliet_section_typography',
        'priority'    => 10,
        'default'     => $juliet_defaults['juliet_custom_typography_h5_font'],
        'active_callback'  => array( array( 'setting'  => 'juliet_custom_typography', 'operator' => '==', 'value'    => true ) )
    ); 
    $fields[] = array(
        'type'        => 'typography',
        'settings'    => 'juliet_custom_typography_h6_font',
        'label'       => esc_html__('Heading 6 (H6)', 'juliet' ),
        'section'     => 'juliet_section_typography',
        'priority'    => 11,
        'default'     => $juliet_defaults['juliet_custom_typography_h6_font'],
        'active_callback'  => array( array( 'setting'  => 'juliet_custom_typography', 'operator' => '==', 'value'    => true ) )
    ); 
    
    #header_image
    #-----------------------------------------
    
    $fields[] = array(
        'type'        => 'text',
        'settings'    => 'juliet_banner_heading',
        'label'       => esc_html__('Caption Heading', 'juliet' ),
        'section'     => 'header_image',
        'priority'    => 10,
        'default'     => $juliet_defaults['juliet_banner_heading'],
        'sanitize_callback' => 'sanitize_text_field',
    );
    $fields[] = array(
        'type'        => 'textarea',
        'settings'    => 'juliet_banner_description',
        'label'       => esc_html__('Caption Description', 'juliet' ),
        'section'     => 'header_image',
        'priority'    => 11,
        'default'     => $juliet_defaults['juliet_banner_description'],
        'sanitize_callback' => 'force_balance_tags'
    );
    $fields[] = array(
        'type'        => 'text',
        'settings'    => 'juliet_banner_url',
        'label'       => esc_html__('Caption URL', 'juliet' ),
        'section'     => 'header_image',
        'priority'    => 12,
        'default'     => $juliet_defaults['juliet_banner_url'],
        'sanitize_callback' => 'sanitize_text_field',
    );
    
    #juliet_section_frontpage_banner
    #-----------------------------------------
    
    $fields[] = array(
        'type'        => 'radio',
        'settings'    => 'juliet_frontpage_banner',
        'label'       => esc_html__('Frontpage Banner / Slider', 'juliet' ),
        'section'     => 'juliet_section_frontpage_banner',
        'priority'    => 1,
        'default'     => $juliet_defaults['juliet_frontpage_banner'],
        'choices'     => array(
                            'Banner'   => array(
                                esc_attr__( 'Banner', 'juliet' ),
                                esc_attr__( 'Shows a banner with an optional caption. Set up the banner and the caption under `Header Image`.', 'juliet' ),
                            ),
                            'Posts' => array(
                                esc_attr__( 'Posts Slider', 'juliet' ),
                                esc_attr__( 'Select a category to show posts from in the slider. When you select this a new section will appear here with more options.', 'juliet' ),
                            ),
                            'Custom'  => array(
                                esc_attr__( 'Custom Slider', 'juliet' ),
                                esc_attr__( 'A custom slider where you can upload images and specify the links.', 'juliet' ),
                            ),
                        ),
    );    
    $fields[] = array(
        'type'        => 'custom',
        'settings'    => 'juliet_frontpage_posts_slider_desc',
        'label'       => '<hr />' . esc_html__( 'Posts Slider', 'juliet' ),
        'description' => esc_html__('Select a category to show posts from in the slider. Also enter the number of posts to show from that category.', 'juliet' ),
        'section'     => 'juliet_section_frontpage_banner',
        'priority'    => 2,
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_banner', 'operator' => 'contains', 'value'    => 'Posts' ) )
    );    
    $fields[] = array(
        'type'        => 'select',
        'settings'    => 'juliet_frontpage_posts_slider_category',
        'label'       => esc_html__('Posts Slider - Category', 'juliet' ),
        'section'     => 'juliet_section_frontpage_banner',
        'priority'    => 3,
        'default'     => $juliet_defaults['juliet_frontpage_posts_slider_category'],
        'choices'     => Kirki_Helper::get_terms( 'category' ),
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_banner', 'operator' => 'contains', 'value'    => 'Posts' ) )
    );
    $fields[] = array(
        'type'        => 'select',
        'settings'    => 'juliet_frontpage_posts_slider_number',
        'label'       => esc_html__('Posts Slider - Number of Slides/Posts', 'juliet' ),
        'section'     => 'juliet_section_frontpage_banner',
        'priority'    => 4,
        'default'     => $juliet_defaults['juliet_frontpage_posts_slider_number'],
        'choices'     => array('3'=>'3','4'=>'4','5'=>'5','6'=>'6','7'=>'7','8'=>'8','9'=>'9','10'=>'10'),
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_banner', 'operator' => 'contains', 'value'    => 'Posts' ) )
    );    
    $fields[] = array(
        'type'        => 'custom',
        'settings'    => 'juliet_frontpage_custom_slider_desc',
        'label'       => '<hr />' . esc_html__( 'Custom Slider', 'juliet' ),
        'description' => esc_html__('Upload slide images, videos, and specify captions.', 'juliet' ),
        'section'     => 'juliet_section_frontpage_banner',
        'priority'    => 5,
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_banner', 'operator' => 'contains', 'value'    => 'Custom', ), )
    );    
    $fields[] = array(
        'type'        => 'repeater',
        'settings'    => 'juliet_frontpage_custom_slider_item',
        'label'       => esc_html__('Custom Slider - Item', 'juliet' ),
        'section'     => 'juliet_section_frontpage_banner',
        'priority'    => 6,
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_banner', 'operator' => 'contains', 'value'    => 'Custom', ), ),
        'fields' => array(
            'juliet_frontpage_custom_slider_item_heading' => array(
                'type'        => 'text',
                'label'       => esc_attr__( 'Heading', 'juliet' ),
                'sanitize_callback' => 'sanitize_text_field',
            ),
            'juliet_frontpage_custom_slider_item_desc' => array(
                'type'        => 'textarea',
                'label'       => esc_attr__( 'Description', 'juliet' ),
                'sanitize_callback' => 'force_balance_tags',
            ),
            'juliet_frontpage_custom_slider_item_url' => array(
                'type'        => 'text',
                'label'       => esc_attr__( 'Absolute URL (for Heading)', 'juliet' ),
                'sanitize_callback' => 'sanitize_text_field',
            ),
            'juliet_frontpage_custom_slider_item_image' => array(
                'type'        => 'image',
                'description' => __('Suggested size: 1200 x 550', 'juliet'),
                'label'       => esc_attr__( 'Upload Image', 'juliet' ),
            ),
            'juliet_frontpage_custom_slider_item_video' => array(
                'type'        => 'text',
                'label'       => esc_attr__( 'YouTube or Vimeo Embed URL', 'juliet' ),
                'description' => __('Please enter either the video or the image. If both are specified, the video will be shown. The caption (heading, description) will not show up for the video.', 'juliet'),
                'sanitize_callback' => 'sanitize_text_field',
            ),
        )
    );
    /* 
	$fields[] = array(
        'type'        => 'radio-buttonset',
        'settings'    => 'juliet_frontpage_slider_type',
        'description' => __('Make sure you have at least 3 slide items if you choose the `Strip` slider style. Also, please note - if this style is chosen, any custom background or color should be removed otherwise the `Strip` style will not take effect.', 'juliet'),
        'label'       => esc_html__('Slider Type', 'juliet' ),
        'section'     => 'juliet_section_frontpage_banner',
        'priority'    => 7,
        'default'     => $juliet_defaults['juliet_frontpage_slider_type'],
        'choices'     => array(
                            'Single' => esc_attr__( 'Single', 'juliet' ),
                            'Strip'  => esc_attr__( 'Strip', 'juliet' ),
        ),
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_banner', 'operator' => 'contains', 'value'    => 'Posts,Custom', ), ),
    );
	*/

	$fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'juliet_frontpage_custom_slider_flexible',
        'label'       => esc_html__('Use Full Image Size?', 'juliet' ),
		'description' => esc_html__('By default, the slider resizes all photos to 1200x550. If you want to use your own custom image sizes, turn this on. Make sure all the slides are the same size. This only applies to the custom slider.', 'juliet' ),
        'section'     => 'juliet_section_frontpage_banner',
        'priority'    => 7,
        'default'     => $juliet_defaults['juliet_frontpage_custom_slider_flexible'],
		'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_banner', 'operator' => 'contains', 'value'    => 'Custom', ), ),
    );
	
	$fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'juliet_frontpage_banner_overlay_show',
        'label'       => esc_html__('Show Color Overlay/Filter?', 'juliet' ),
        'section'     => 'juliet_section_frontpage_banner',
        'priority'    => 8,
        'default'     => $juliet_defaults['juliet_frontpage_banner_overlay_show'],
    );
	
	$fields[] = array(
        'type'        => 'color',
        'settings'    => 'juliet_frontpage_banner_overlay_color',
        'label'       => esc_html__( 'Select Color', 'juliet' ),
        'section'     => 'juliet_section_frontpage_banner',
        'priority'    => 9,
        'default'     => $juliet_defaults['juliet_frontpage_banner_overlay_color'],
        'sanitize_callback' => 'sanitize_hex_color',
		'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_banner_overlay_show', 'operator' => '==', 'value'    => '1', ),)
    );
	
    
    #juliet_section_frontpage_featured_links
    #-----------------------------------------
    
    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'juliet_frontpage_featured_links_show',
        'label'       => esc_html__('Show Featured Links/Pages?', 'juliet' ),
        'description' => esc_html__('Choose whether to display the featured section under the banner/slider.', 'juliet' ),
        'section'     => 'juliet_section_frontpage_featured_links',
        'priority'    => 1,
        'default'     => $juliet_defaults['juliet_frontpage_featured_links_show'],
        'choices'     => array( 'on'  => esc_attr__( 'SHOW', 'juliet' ), 'off' => esc_attr__( 'HIDE', 'juliet' ), )
    );
    $fields[] = array(
        'type'        => 'custom',
        'settings'    => 'juliet_frontpage_featured_links_sep1',
        'label'       => '<hr />' . esc_html__('Please note: only up to 4 items will show up. Any items after the first four will be ignored.', 'juliet' ),
        'section'     => 'juliet_section_frontpage_featured_links',
        'priority'    => 2,
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_featured_links_show', 'operator' => '==', 'value'    => true ) )
    );
    $fields[] = array(
        'type'        => 'repeater',
        'settings'    => 'juliet_frontpage_featured_link',
        'label'       => esc_html__('Featured Link/Page', 'juliet' ),
        'section'     => 'juliet_section_frontpage_featured_links',
        'priority'    => 3,
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_featured_links_show', 'operator' => '==', 'value'    => true, ), ),
        'fields' => array(
            'juliet_frontpage_featured_link_heading' => array(
                'type'        => 'text',
                'label'       => esc_attr__( 'Heading', 'juliet' ),
                'sanitize_callback' => 'sanitize_text_field',
            ),
            'juliet_frontpage_featured_link_desc' => array(
                'type'        => 'textarea',
                'label'       => esc_attr__( 'Description', 'juliet' ),
                'sanitize_callback' => 'force_balance_tags',
            ),
            'juliet_frontpage_featured_link_url' => array(
                'type'        => 'text',
                'label'       => esc_attr__( 'Absolute URL', 'juliet' ),
                'sanitize_callback' => 'sanitize_text_field',
            ),
            'juliet_frontpage_featured_link_image' => array(
                'type'        => 'image',
                'label'       => esc_attr__( 'Upload Image', 'juliet' ),
            ),
        )
    );
    
    #juliet_section_frontpage_featured_posts
    #-----------------------------------------
    
    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'juliet_frontpage_featured_posts_show',
        'label'       => esc_html__('Show Featured Posts?', 'juliet' ),
        'description' => esc_html__('Choose whether to display the featured posts.', 'juliet' ),
        'section'     => 'juliet_section_frontpage_featured_posts',
        'priority'    => 1,
        'default'     => $juliet_defaults['juliet_frontpage_featured_posts_show'],
        'choices'     => array( 'on'  => esc_attr__( 'SHOW', 'juliet' ), 'off' => esc_attr__( 'HIDE', 'juliet' ), )
    );
    $fields[] = array(
        'type'        => 'custom',
        'settings'    => 'juliet_frontpage_featured_posts_sep1',
        'label'       => '<hr />',
        'section'     => 'juliet_section_frontpage_featured_posts',
        'priority'    => 2,
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_featured_posts_show', 'operator' => '==', 'value'    => true, ), )
    );
    $fields[] = array(
        'type'        => 'text',
        'settings'    => 'juliet_frontpage_featured_posts_heading',
        'label'       => esc_html__('Heading', 'juliet' ),
        'section'     => 'juliet_section_frontpage_featured_posts',
        'priority'    => 3,
        'default'     => $juliet_defaults['juliet_frontpage_featured_posts_heading'],
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_featured_posts_show', 'operator' => '==', 'value'    => true, ), )
    );
    $fields[] = array(
        'type'        => 'select',
        'settings'    => 'juliet_frontpage_featured_posts_post_1',
        'label'       => esc_html__('Post 1', 'juliet' ),
        'section'     => 'juliet_section_frontpage_featured_posts',
        'priority'    => 4,
        'default'     => $juliet_defaults['juliet_frontpage_featured_posts_post_1'],
        'choices'     => Kirki_Helper::get_posts( array( 'numberposts' => -1 ) ),
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_featured_posts_show', 'operator' => '==', 'value'    => true, ), )
    );
    $fields[] = array(
        'type'        => 'select',
        'settings'    => 'juliet_frontpage_featured_posts_post_2',
        'label'       => esc_html__('Post 2', 'juliet' ),
        'section'     => 'juliet_section_frontpage_featured_posts',
        'priority'    => 5,
        'default'     => $juliet_defaults['juliet_frontpage_featured_posts_post_2'],
        'choices'     => Kirki_Helper::get_posts( array( 'numberposts' => -1 ) ),
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_featured_posts_show', 'operator' => '==', 'value'    => true, ), )
    );
    $fields[] = array(
        'type'        => 'select',
        'settings'    => 'juliet_frontpage_featured_posts_post_3',
        'label'       => esc_html__('Post 3', 'juliet' ),
        'section'     => 'juliet_section_frontpage_featured_posts',
        'priority'    => 5,
        'default'     => $juliet_defaults['juliet_frontpage_featured_posts_post_3'],
        'choices'     => Kirki_Helper::get_posts( array( 'numberposts' => -1 ) ),
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_featured_posts_show', 'operator' => '==', 'value'    => true, ), )
    );
    $fields[] = array(
        'type'        => 'select',
        'settings'    => 'juliet_frontpage_featured_posts_post_4',
        'label'       => esc_html__('Post 4', 'juliet' ),
        'section'     => 'juliet_section_frontpage_featured_posts',
        'priority'    => 6,
        'default'     => $juliet_defaults['juliet_frontpage_featured_posts_post_4'],
        'choices'     => Kirki_Helper::get_posts( array( 'numberposts' => -1 ) ),
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_featured_posts_show', 'operator' => '==', 'value'    => true, ), )
    );
    
    #juliet_section_frontpage_blog_feed
    #-----------------------------------------
    
    $fields[] = array(
        'type'        => 'radio-image',
        'settings'    => 'juliet_frontpage_blog_feed_sidebar',
        'label'       => esc_html__('Layout', 'juliet' ),
        'description' => esc_html__('Choose whether to display the sidebar on the home page.', 'juliet' ),
        'section'     => 'juliet_section_frontpage_blog_feed',
        'default'     => $juliet_defaults['juliet_frontpage_blog_feed_sidebar'],
        'priority'    => 2,
        'choices'     => array( '0' => trailingslashit( get_template_directory_uri() ) . 'customize/images/full.png',
                                '1' => trailingslashit( get_template_directory_uri() ) . 'customize/images/sidebar.png', 
								'2' => trailingslashit( get_template_directory_uri() ) . 'customize/images/sidebar-left.png', ),
    );
    
    /* juliet_section_frontpage_large_post */
    #-----------------------------------------
    
    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'juliet_frontpage_large_post_show',
        'label'       => esc_html__('Show Large / Highlight Post?', 'juliet' ),
        'description' => esc_html__('Choose whether to display the large post under the blog feed.', 'juliet' ),
        'section'     => 'juliet_section_frontpage_large_post',
        'priority'    => 1,
        'default'     => $juliet_defaults['juliet_frontpage_large_post_show'],
        'choices' => array( 'on'  => esc_attr__( 'SHOW', 'juliet' ), 'off' => esc_attr__( 'HIDE', 'juliet' ), )
    );
    $fields[] = array(
        'type'        => 'custom',
        'settings'    => 'juliet_frontpage_large_post_sep1',
        'label'       => '<hr />',
        'section'     => 'juliet_section_frontpage_large_post',
        'priority'    => 2,
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_large_post_show', 'operator' => '==', 'value'    => true, ), )
    );
    $fields[] = array(
        'type'        => 'text',
        'settings'    => 'juliet_frontpage_large_post_heading',
        'label'       => esc_html__('Select Large / Highlight Post', 'juliet' ),
        'section'     => 'juliet_section_frontpage_large_post',
        'priority'    => 3,
        'default'     => $juliet_defaults['juliet_frontpage_large_post_heading'],
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_large_post_show', 'operator' => '==', 'value'    => true, ), )
    );
    $fields[] = array(
        'type'        => 'select',
        'settings'    => 'juliet_frontpage_large_post',
        'label'       => esc_html__('Select Large / Highlight Post', 'juliet' ),
        'section'     => 'juliet_section_frontpage_large_post',
        'priority'    => 3,
        'default'     => $juliet_defaults['juliet_frontpage_large_post'],
        'choices'     => Kirki_Helper::get_posts( array( 'numberposts' => -1 ) ),
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_large_post_show', 'operator' => '==', 'value'    => true, ), )
    );
    
    
    /* juliet_section_frontpage_focus */
    #-----------------------------------------
    
    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'juliet_frontpage_focus_show',
        'label'       => esc_html__('Show Category Content / Posts?', 'juliet' ),
        'description' => esc_html__('Choose whether to display the posts from a specific category just above the footer area. We call this area the focus content.', 'juliet' ),
        'section'     => 'juliet_section_frontpage_focus',
        'priority'    => 1,
        'default'     => $juliet_defaults['juliet_frontpage_focus_show'],
        'choices' => array('on'  => esc_attr__( 'SHOW', 'juliet' ),  'off' => esc_attr__( 'HIDE', 'juliet' ), )
    );
    $fields[] = array(
        'type'        => 'custom',
        'settings'    => 'juliet_frontpage_focus_sep1',
        'label'       => '<hr />',
        'section'     => 'juliet_section_frontpage_focus',
        'priority'    => 2,
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_focus_show', 'operator' => '==', 'value'    => true, ), )
    );
    $fields[] = array(
        'type'        => 'text',
        'settings'    => 'juliet_frontpage_focus_heading',
        'label'       => esc_html__('Heading', 'juliet' ),
        'section'     => 'juliet_section_frontpage_focus',
        'priority'    => 3,
        'default'     => $juliet_defaults['juliet_frontpage_focus_heading'],
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_focus_show', 'operator' => '==', 'value'    => true, ), )        
    );
    $fields[] = array(
        'type'        => 'select',
        'settings'    => 'juliet_frontpage_focus_number',
        'label'       => esc_html__('Number of Posts To Show', 'juliet' ),
        'section'     => 'juliet_section_frontpage_focus',
        'priority'    => 4,
        'default'     => $juliet_defaults['juliet_frontpage_focus_number'],
        'choices'     => array('4'=>'4','8'=>'8'),
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_focus_show', 'operator' => '==', 'value'    => true, ), )        
    ); 
    $fields[] = array(
        'type'        => 'select',
        'settings'    => 'juliet_frontpage_focus_category',
        'label'       => esc_html__('Category', 'juliet' ),
        'section'     => 'juliet_section_frontpage_focus',
        'priority'    => 5,
        'choices'     => Kirki_Helper::get_terms( 'category' ),
        'default'     => $juliet_defaults['juliet_frontpage_focus_category'],
        'active_callback'  => array( array( 'setting'  => 'juliet_frontpage_focus_show', 'operator' => '==', 'value'    => true, ), )        
    );
    
    /* juliet_section_blog_feed */
    #-----------------------------------------
    
    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'juliet_blog_feed_meta_show',
        'label'       => esc_html__('Show Meta?', 'juliet' ),
        'description' => esc_html__('Choose whether to display date, category, author, tags for posts in the blog feed. This applies to all blog feeds on all pages, including the front page.', 'juliet' ),
        'section'     => 'juliet_section_blog_feed',
        'priority'    => 1,
        'default'     => $juliet_defaults['juliet_blog_feed_meta_show'],
        'choices' => array( 'on'  => esc_attr__( 'SHOW', 'juliet' ), 'off' => esc_attr__( 'HIDE', 'juliet' ), )
    );
    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'juliet_blog_feed_date_show',
        'label'       => esc_html__('Show Date?', 'juliet' ),
        'section'     => 'juliet_section_blog_feed',
        'priority'    => 2,
        'default'     => $juliet_defaults['juliet_blog_feed_date_show'],
        'active_callback'  => array( array( 'setting'  => 'juliet_blog_feed_meta_show', 'operator' => '==', 'value'    => true, ),)
    );
    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'juliet_blog_feed_category_show',
        'label'       => esc_html__('Show Category?', 'juliet' ),
        'section'     => 'juliet_section_blog_feed',
        'priority'    => 3,
        'default'     => $juliet_defaults['juliet_blog_feed_category_show'],
        'active_callback'  => array( array( 'setting'  => 'juliet_blog_feed_meta_show', 'operator' => '==', 'value'    => true, ),)
    );
    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'juliet_blog_feed_author_show',
        'label'       => esc_html__('Show Author?', 'juliet' ),
        'section'     => 'juliet_section_blog_feed',
        'priority'    => 4,
        'default'     => $juliet_defaults['juliet_blog_feed_author_show'],
        'active_callback'  => array( array( 'setting'  => 'juliet_blog_feed_meta_show', 'operator' => '==', 'value'    => true, ),)
    );
    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'juliet_blog_feed_comments_show',
        'label'       => esc_html__('Show Comments?', 'juliet' ),
        'section'     => 'juliet_section_blog_feed',
        'priority'    => 5,
        'default'     => $juliet_defaults['juliet_blog_feed_comments_show'],
        'active_callback'  => array( array( 'setting'  => 'juliet_blog_feed_meta_show', 'operator' => '==', 'value'    => true, ),)
    );
    $fields[] = array(
        'type'        => 'custom',
        'settings'    => 'juliet_blog_feed_sep1',
        'label'       => '<hr />',
        'section'     => 'juliet_section_blog_feed',
        'priority'    => 6
    );
    $fields[] = array(
        'type'        => 'radio',
        'settings'    => 'juliet_blog_feed_post_format',
        'label'       => esc_html__('Post Display Format', 'juliet' ),
        'section'     => 'juliet_section_blog_feed',
        'priority'    => 7,
        'default'     => $juliet_defaults['juliet_blog_feed_post_format'],
        'choices'     => array(
                            'Excerpt'  => array(
                                esc_attr__( 'Image and Excerpt', 'juliet' ),
                            ),
                            'Full'   => array(
                                esc_attr__( 'Image and Full Content', 'juliet' ),
                            )                            
                        ),
    );
    $fields[] = array(
        'type'        => 'radio-image',
        'settings'    => 'juliet_blog_feed_sidebar',
        'label'       => esc_html__('Layout', 'juliet' ),
        'description' => esc_html__('Choose whether to display the sidebar on the blog feed pages.', 'juliet' ),
        'section'     => 'juliet_section_blog_feed',
        'default'     => $juliet_defaults['juliet_blog_feed_sidebar'],
        'priority'    => 8,
        'choices'     => array( '0' => trailingslashit( get_template_directory_uri() ) . 'customize/images/full.png',
                                '1' => trailingslashit( get_template_directory_uri() ) . 'customize/images/sidebar.png', 
								'2' => trailingslashit( get_template_directory_uri() ) . 'customize/images/sidebar-left.png', ),
    );
	
	$fields[] = array(
        'type'        => 'text',
        'settings'     => 'juliet_blog_feed_label',
        'label'       => esc_html__( 'Heading for Blog Feed', 'juliet' ),
        'description' => esc_html__( 'The `Recent Posts` label for the blog feed.', 'juliet' ),
        'section'     => 'juliet_section_blog_feed',
        'priority'    => 9,
        'default'     => $juliet_defaults['juliet_blog_feed_label'],
        'sanitize_callback'=> 'sanitize_text_field'
    );
	
    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'juliet_blog_feed_share_show',
        'label'       => esc_html__('Show Share For Posts?', 'juliet' ),
        'section'     => 'juliet_section_blog_feed',
        'priority'    => 10,
        'description' => esc_html__('This works with the Jetpack (Sharing) plugin. Please refer to the documentation for more details.', 'juliet'),
        'default'     => $juliet_defaults['juliet_blog_feed_share_show'],
    );
    
    /* juliet_section_posts */
    #-----------------------------------------
    
    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'juliet_posts_meta_show',
        'label'       => esc_html__('Show Meta?', 'juliet' ),
        'description' => esc_html__('Choose whether to display date, category, author, tags for posts on the post page.', 'juliet' ),
        'section'     => 'juliet_section_posts',
        'priority'    => 1,
        'default'     => $juliet_defaults['juliet_posts_meta_show'],
        'choices' => array( 'on'  => esc_attr__( 'SHOW', 'juliet' ), 'off' => esc_attr__( 'HIDE', 'juliet' ), )
    );
    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'juliet_posts_date_show',
        'label'       => esc_html__('Show Date?', 'juliet' ),
        'section'     => 'juliet_section_posts',
        'priority'    => 2,
        'default'     => $juliet_defaults['juliet_posts_date_show'],
        'active_callback'  => array( array( 'setting'  => 'juliet_posts_meta_show', 'operator' => '==', 'value'    => true, ), )
    );
    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'juliet_posts_category_show',
        'label'       => esc_html__('Show Category?', 'juliet' ),
        'section'     => 'juliet_section_posts',
        'priority'    => 3,
        'default'     => $juliet_defaults['juliet_posts_category_show'],
        'active_callback'  => array( array( 'setting'  => 'juliet_posts_meta_show', 'operator' => '==', 'value'    => true, ), )
    );
    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'juliet_posts_author_show',
        'label'       => esc_html__('Show Author?', 'juliet' ),
        'section'     => 'juliet_section_posts',
        'priority'    => 4,
        'default'     => $juliet_defaults['juliet_posts_author_show'],
        'active_callback'  => array( array( 'setting'  => 'juliet_posts_meta_show', 'operator' => '==', 'value'    => true, ), )
    );
    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'juliet_posts_tags_show',
        'label'       => esc_html__('Show Tags?', 'juliet' ),
        'section'     => 'juliet_section_posts',
        'priority'    => 5,
        'default'     => $juliet_defaults['juliet_posts_tags_show'],
        'active_callback'  => array( array( 'setting'  => 'juliet_posts_meta_show', 'operator' => '==', 'value'    => true, ), )
    );
    $fields[] = array(
        'type'        => 'custom',
        'settings'    => 'juliet_posts_sep1',
        'label'       => '<hr />',
        'section'     => 'juliet_section_posts',
        'priority'    => 6
    );
    $fields[] = array(
        'type'        => 'radio-image',
        'settings'    => 'juliet_posts_sidebar',
        'label'       => esc_html__('Layout', 'juliet' ),
        'description' => esc_html__('Choose whether to display the sidebar.', 'juliet' ),
        'section'     => 'juliet_section_posts',
        'default'     => $juliet_defaults['juliet_posts_sidebar'],
        'priority'    => 7,
        'choices'     => array( '0' => trailingslashit( get_template_directory_uri() ) . 'customize/images/full.png',
                                '1' => trailingslashit( get_template_directory_uri() ) . 'customize/images/sidebar.png', 
								'2' => trailingslashit( get_template_directory_uri() ) . 'customize/images/sidebar-left.png', ),
    );
    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'juliet_posts_featured_image_show',
        'label'       => esc_html__('Show Featured Image ?', 'juliet' ),
        'description' => esc_html__('Whether to show featured image at the beginning of the post.', 'juliet' ),
        'section'     => 'juliet_section_posts',
        'priority'    => 8,
        'default'     => $juliet_defaults['juliet_posts_featured_image_show']
    );
    $fields[] = array(
        'type'        => 'custom',
        'settings'    => 'juliet_posts_sep2',
        'label'       => '<hr />',
        'section'     => 'juliet_section_posts',
        'priority'    => 9
    );
    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'juliet_posts_share_top_show',
        'label'       => esc_html__('Share Links at the Top?', 'juliet' ),
        'section'     => 'juliet_section_posts',
        'priority'    => 10,
        'description' => esc_html__('This works with the Jetpack (Sharing) plugin. Please refer to the documentation for more details.', 'juliet'),
        'default'     => $juliet_defaults['juliet_posts_share_top_show']
    );
    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'juliet_posts_share_bottom_show',
        'label'       => esc_html__('Share Links at the Bottom?', 'juliet' ),
        'section'     => 'juliet_section_posts',
        'priority'    => 11,
        'description' => esc_html__('This works with the Jetpack (Sharing) plugin. Please refer to the documentation for more details.', 'juliet'),
        'default'     => $juliet_defaults['juliet_posts_share_bottom_show']
    );
    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'juliet_posts_related_show',
        'label'       => esc_html__('Show Related posts?', 'juliet' ),
        'section'     => 'juliet_section_posts',
        'priority'    => 12,
        'default'     => $juliet_defaults['juliet_posts_related_show']
    );
    
    /* juliet_section_pages */
    #-----------------------------------------
    
   $fields[] = array(
        'type'        => 'radio-image',
        'settings'    => 'juliet_pages_sidebar',
        'label'       => esc_html__('Layout', 'juliet' ),
        'description' => esc_html__('Choose whether to display the sidebar.', 'juliet' ),
        'section'     => 'juliet_section_pages',
        'default'     => $juliet_defaults['juliet_pages_sidebar'],
        'priority'    => 1,
        'choices'     => array( '0' => trailingslashit( get_template_directory_uri() ) . 'customize/images/full.png',
                                '1' => trailingslashit( get_template_directory_uri() ) . 'customize/images/sidebar.png', 
								'2' => trailingslashit( get_template_directory_uri() ) . 'customize/images/sidebar-left.png', ),
    );
    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'juliet_pages_featured_image_show',
        'label'       => esc_html__('Show Featured Image ?', 'juliet' ),
        'description' => esc_html__('Whether to show featured image at the beginning of the page.', 'juliet' ),
        'section'     => 'juliet_section_pages',
        'priority'    => 2,
        'default'     => $juliet_defaults['juliet_pages_featured_image_show']
    );
    
    #juliet_section_ads
    #-----------------------------------------
    
    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'juliet_enable_ads',
        'label'       => esc_html__('Enable Blog Feed Ads', 'juliet' ),
        'section'     => 'juliet_section_ads',
        'priority'    => 1,
        'description' => esc_html__('When enabled, these ads will show up after every second post on the blog feed.', 'juliet'),
        'default'     => $juliet_defaults['juliet_enable_ads'],
        'choices' => array( 'on'  => esc_attr__( 'ENABLE', 'juliet' ), 'off' => esc_attr__( 'DISABLE', 'juliet' ) )
    ); 
    $fields[] = array(
        'type'        => 'custom',
        'settings'    => 'juliet_ads_sep1',
        'label'       => '<hr />',
        'section'     => 'juliet_section_ads',
        'priority'    => 2,
        'active_callback'  => array( array( 'setting'  => 'juliet_enable_ads', 'operator' => '==', 'value'    => true ) )
    );
    $fields[] = array(
        'type'        => 'repeater',
        'settings'    => 'juliet_ads',
        'label'       => esc_html__( 'Create Ad', 'juliet' ),
        'section'     => 'juliet_section_ads',
        'priority'    => 3,
		'description' => esc_html__( 'Enter a URL and upload an image, or paste in the ad code. If both the image and code have been added, the ad code will be ignored.', 'juliet'),
        'active_callback'  => array( array( 'setting'  => 'juliet_enable_ads', 'operator' => '==', 'value'    => true ) ),
        'fields' => array(
            'juliet_ad_url' => array(
                'type'        => 'text',
                'label'       => esc_attr__( 'URL', 'juliet' ),
                'sanitize_callback' => 'sanitize_text_field',
            ),
            'juliet_ad_image' => array(
                'type'        => 'image',
                'label'       => esc_attr__( 'Image', 'juliet' ),
            ),
			'juliet_ad_code' => array(
                'type'        => 'textarea',
                'label'       => esc_attr__( 'Ad Code', 'juliet' ),
                'sanitize_callback' => 'juliet_sanitize_ad_code'
            ),
        )
    );
	
	if ( class_exists( 'WooCommerce' ) ) {

	/* juliet_section_woocommerce */
    #-----------------------------------------
    
    $fields[] = array(
        'type'        => 'radio-image',
        'settings'    => 'juliet_woocommerce_sidebar',
        'label'       => esc_html__('Layout', 'juliet' ),
        'description' => esc_html__('Choose whether to display the sidebar on the WooCommerce pages. Please note: If you choose a left or right sidebar here, but there are no widgets assigned - then the page will display without the sidebar column.', 'juliet' ),
        'section'     => 'juliet_section_woocommerce',
        'default'     => $juliet_defaults['juliet_woocommerce_sidebar'],
        'priority'    => 1,
        'choices'     => array( '0' => trailingslashit( get_template_directory_uri() ) . 'customize/images/full.png',
                                '1' => trailingslashit( get_template_directory_uri() ) . 'customize/images/sidebar.png', 
								'2' => trailingslashit( get_template_directory_uri() ) . 'customize/images/sidebar-left.png', ),
    );

	}
    
    /* juliet_section_advanced */
    #-----------------------------------------
    if(juliet_show_custom_css_field()) {
    $fields[] = array(
        'type'        => 'code',
        'settings'    => 'juliet_advanced_css',
        'label'       => esc_html__( 'Custom CSS', 'juliet' ),
        'description' => esc_html__( 'Custom CSS code to modify styling.', 'juliet' ),
        'section'     => 'juliet_section_advanced',
        'priority'    => 1,
        'choices'     => array( 'language' => 'css', 'theme'    => 'monokai', 'height'   => 250, ),
        'sanitize_callback' => 'wp_filter_nohtml_kses'
    );
    }
    $fields[] = array(
        'type'        => 'textarea',
        'settings'    => 'juliet_advanced_analytics',
        'label'       => __( 'Google Analytics Code', 'juliet' ),
        'description' => __( 'Copy and paste your Google Analytics code here.', 'juliet' ),
        'section'     => 'juliet_section_advanced',
        'priority'    => 2,
        //'choices'     => array( 'language' => 'javascript', 'theme'    => 'monokai', 'height'   => 500, ),
    );
    
    /* juliet_section_menu */
    #-----------------------------------------
    
    $fields[] = array(
        'type'        => 'toggle',
        'settings'     => 'juliet_enable_off_canvas_menu',
        'label'       => esc_html__( 'Enable Off Canvas Menu?', 'juliet' ),
        'description' => esc_html__( 'Whether to show an off canvas menu that you can populate with various widgets.', 'juliet' ),
        'section'     => 'juliet_section_menu',
        'priority'    => 1,
        'default'     => $juliet_defaults['juliet_enable_off_canvas_menu']
    );
    $fields[] = array(
        'type'        => 'toggle',
        'settings'     => 'juliet_enable_sticky_nav',
        'label'       => esc_html__( 'Enable Sticky Navigation?', 'juliet' ),
        'description' => esc_html__( 'Whether to stick the navigation to the top when the user scrolls down.', 'juliet' ),
        'section'     => 'juliet_section_menu',
        'priority'    => 2,
        'default'     => $juliet_defaults['juliet_enable_sticky_nav']
    );
    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'juliet_dropdown_node_enable',
        'label'       => esc_html__( 'Enable Dropdown Menu Parent Nodes', 'juliet' ),
        'description' => esc_html__( 'The menu item that is clicked to drop down sub menus is not assigned a URL by default (it is set to #). If you would like to enable links for the parent nodes, you can do so here.', 'juliet' ),
        'section'     => 'juliet_section_menu',
        'priority'    => 3,
        'default'     => $juliet_defaults['juliet_dropdown_node_enable']
    );
    $fields[] = array(
        'type'        => 'toggle',
        'settings'    => 'juliet_dropdown_smartmenus_enable',
        'label'       => esc_html__( 'Enable Dropdown Menu On Hover', 'juliet' ),
        'description' => esc_html__( 'By default, the dropdown menus open on hover. You can turn this off so that they will open on click. Please note - this will also turn off any menu levels deeper than parent and sub menu (so there will be no additional levels after the main dropdown menu).', 'juliet' ),
        'section'     => 'juliet_section_menu',
        'priority'    => 4,
        'default'     => $juliet_defaults['juliet_dropdown_smartmenus_enable']
    );
    
    

    
    return $fields;
}

add_filter( 'kirki/fields', 'juliet_customizer_fields' );


function juliet_sanitize_ad_code($input){
	return $input;
}
?>