<?php
/**
 * Meta Boxes
 *
 * @package juliet
 */
?>
<?php

define('THEME_PATH', get_template_directory());
add_action('admin_init','juliet_meta_init');
 
function juliet_meta_init(){
    if(is_admin()) 
        wp_enqueue_style('juliet-meta-boxes', get_stylesheet_directory_uri() . '/meta_boxes/style.css');
    if(!array_key_exists('post_ID', $_POST) && !array_key_exists('post', $_GET)) return;
    $post_id = $_GET['post'] ? $_GET['post'] : $_POST['post_ID'] ;
    $template_file = get_post_meta($post_id,'_wp_page_template',TRUE);
	if ($template_file == 'template-index.php')	{
		add_action('add_meta_boxes', 'juliet_meta_box_lookbook_index' );
		add_action('save_post','juliet_meta_save_lookbook_index');
	} 
}
function juliet_meta_box_lookbook_index() {
    add_meta_box(  'juliet_meta_box_lookbook_index', __( 'Juliet - Lookbook Index Options', 'juliet' ), 'juliet_meta_setup_lookbook_index', 'page', 'side', 'high'  );
}
function juliet_meta_setup_lookbook_index( $post ) {
	global $post;
    $meta = get_post_meta($post->ID,'_lookbook_index_meta',TRUE);
    include(THEME_PATH . '/meta_boxes/meta_box_lookbook_index.php');
    echo '<input type="hidden" name="lookbook_index_meta_noncename" value="' . wp_create_nonce(__FILE__) . '" />';
}
function juliet_meta_save_lookbook_index($post_id) 
{
    if (!wp_verify_nonce($_POST['lookbook_index_meta_noncename'],__FILE__)) return $post_id;
    if ($_POST['post_type'] == 'page') {
        if (!current_user_can('edit_page', $post_id)) return $post_id;
    }
	
	$new_data = $_POST['_lookbook_index_meta'];
	$current_data = get_post_meta($post_id, '_lookbook_index_meta', TRUE);  
    
	$post_categories = $_POST['post_category'];
	$categories_override = $new_data['categories_override'];
    
	if($categories_override != '') {
		$new_data['categories'] = $categories_override;
	} else if(is_array($post_categories)) {
		$new_data['categories'] = implode(',', $post_categories);
	}
    juliet_meta_clean($new_data);
     
    if ($current_data){
        if (is_null($new_data)) delete_post_meta($post_id,'_lookbook_index_meta');
        else update_post_meta($post_id,'_lookbook_index_meta',$new_data);
    } elseif (!is_null($new_data)) {
        add_post_meta($post_id,'_lookbook_index_meta',$new_data,TRUE);
    }
 
    return $post_id;
}
function juliet_meta_clean(&$arr){
    if (is_array($arr)){
        foreach ($arr as $i => $v){
            if (is_array($arr[$i])) {
                juliet_meta_clean($arr[$i]);
                if (!count($arr[$i])) 
                    unset($arr[$i]);
            }
            else{
                if (trim($arr[$i]) == '') 
                    unset($arr[$i]);
            }
        }
        if (!count($arr)) 
			$arr = NULL;
    }
}
?>