<?php
/**
 * Frontpage Banner, Slider
 *
 * @package juliet
 */
?>
<?php 
global $juliet_defaults;

$juliet_frontpage_banner = juliet_get_option('juliet_frontpage_banner'); 
$juliet_frontpage_slider_type = juliet_get_option('juliet_frontpage_slider_type');
$slider_class = $juliet_frontpage_slider_type == 'Single' ? 'slick-carousel-fade' : 'slick-carousel slick-carousel-strip';
$force_banner = false;

/*** Posts Slider ***/ 

if ($juliet_frontpage_banner == 'Posts') { 
    $juliet_frontpage_posts_slider_category = juliet_get_option('juliet_frontpage_posts_slider_category');
    $juliet_frontpage_posts_slider_number = juliet_get_option('juliet_frontpage_posts_slider_number');
    $args = array( 'posts_per_page' => $juliet_frontpage_posts_slider_number, 'category' => $juliet_frontpage_posts_slider_category );
    $juliet_posts_slider = get_posts( $args ); 
    $n = count($juliet_posts_slider);
    if($n > 2) { 
    ?>
    <!-- Frontpage Posts Slider -->
	<div class="frontpage-slider">
        <?php if($juliet_frontpage_slider_type == 'Single') { ?><div class="container"><?php } ?>
		<div class="<?php echo $slider_class ?>">
            <?php $i=0;foreach ( $juliet_posts_slider as $post ) { 
            setup_postdata( $post );  
            $src = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'juliet-slider' ) ;
            if($src) $featured_image = $src[0]; 
            else $featured_image = juliet_get_sample('juliet-slide'); 
            if($featured_image) { $i++; ?>
			<div class="item slick-slide <?php if($i==1) echo 'slick-active';?>"">
				<img src="<?php echo esc_url($featured_image) ?>" alt="<?php the_title_attribute(); ?>" />
				<?php get_template_part('parts/entry', 'caption'); ?>
			</div>
            <?php } 
            } wp_reset_postdata(); ?>
		</div>
        <?php if($juliet_frontpage_slider_type == 'Single') { ?></div><?php } ?>
	</div>
	<!-- /Frontpage Posts Slider -->
    <?php } else { $force_banner = true; } 
} 

/*** Banner ***/ 

if($juliet_frontpage_banner == 'Banner' || $force_banner) { 
    $header_image = get_header_image(); 
    $juliet_banner_heading = juliet_get_option('juliet_banner_heading');
    $juliet_banner_description = juliet_get_option('juliet_banner_description');
    $juliet_banner_url = juliet_get_option('juliet_banner_url');
    if($header_image != '') { 
?>
    <!-- Frontpage Banner -->
	<div class="container">
		<div class="frontpage-banner">
			<img src="<?php echo esc_url($header_image) ?>" alt="<?php echo esc_attr($juliet_banner_heading); ?>" class="img-responsive" />
			
			<?php if($juliet_banner_heading != '' || $juliet_banner_description != '') { ?>
			
			<div class="caption">
                
                <?php if($juliet_banner_url != '' && $juliet_banner_heading != '') { ?><h2><a href="<?php echo esc_url($juliet_banner_url); ?>"><?php echo esc_html($juliet_banner_heading); ?></a></h2><?php } ?>
                <?php if($juliet_banner_url == '' && $juliet_banner_heading != '') { ?><h2><?php echo esc_html($juliet_banner_heading); ?></h2><?php } ?>
                
                <?php if($juliet_banner_description != '') { ?><p class="description"><?php echo wp_kses_post($juliet_banner_description); ?></p><?php } ?>
                
			</div>
			
			<?php } ?>
			
		</div>
	</div>
	<!-- /Frontpage Banner -->
<?php  }
}

/*** Custom Slider ***/

if($juliet_frontpage_banner == 'Custom') { ?>

    <!-- Frontpage Custom Slider -->
	<div class="frontpage-slider">
        <?php if($juliet_frontpage_slider_type == 'Single') { ?><div class="container"><?php } ?>
		<div class="<?php echo $slider_class ?>">
            <?php 
            $juliet_frontpage_custom_slider_item = juliet_get_option('juliet_frontpage_custom_slider_item');
			$juliet_frontpage_custom_slider_flexible = juliet_get_option('juliet_frontpage_custom_slider_flexible');
			$juliet_image_size = $juliet_frontpage_custom_slider_flexible == 1 ? 'full' : 'juliet-slider';
			$i=0;
            foreach($juliet_frontpage_custom_slider_item as $item) { 
                $heading = $item['juliet_frontpage_custom_slider_item_heading'];
                $desc = $item['juliet_frontpage_custom_slider_item_desc'];
                $url = $item['juliet_frontpage_custom_slider_item_url'];
                $image = $item['juliet_frontpage_custom_slider_item_image'];
                $image_details = wp_get_attachment_image_src($image, $juliet_image_size); 
                $video_url = ''; $video_fallback = ''; $video_type = '';
                if(array_key_exists ('juliet_frontpage_custom_slider_item_video', $item) ) { 
                    $video_url = $item['juliet_frontpage_custom_slider_item_video'];
                    $video_fallback = $juliet_defaults['juliet_video_fallback'];
                    $pos = strpos($video_url, 'youtube'); if($pos === false) {} else { $video_type = 'slick-video-type-youtube'; $video_url = $video_url . '?enablejsapi=1'; }
                    $pos = strpos($video_url, 'vimeo'); if($pos === false) {} else $video_type = 'slick-video-type-vimeo';
                }
                if($video_url != ''){
                    $i++; ?>
                    <div class="slick-slide slick-video <?php echo esc_attr($video_type); ?> <?php if($i==1) echo 'slick-active';?>">
                        <img src="<?php echo esc_url($video_fallback); ?>" />
                        <iframe class="slick-video-iframe" width="100%" height="100%" src="<?php echo esc_url($video_url); ?>" frameborder="0" allowfullscreen></iframe>
                    </div>
                    <?php
                }
                else if($image_details) {
					$i++;?>
                <div class="item slick-slide <?php if($i==1) echo 'slick-active';?>">
                    <img src="<?php echo esc_url($image_details[0]) ?>" alt="<?php echo esc_attr($heading); ?>" />
					<?php if($heading != '' || $desc != '') { ?>
                    <div class="caption">
                        <?php if($heading != '' && $url != '') { ?><h2><a href="<?php echo esc_url($url); ?>"><?php echo esc_html($heading); ?></a></h2><?php } ?>
                        <?php if($heading != '' && $url == '') { ?><h2><?php echo esc_html($heading); ?></h2><?php } ?>
                        <?php if($desc != '') { ?><p class="description"><?php echo wp_kses_post($desc); ?></p><?php } ?>
                    </div>
					<?php } ?>
                </div>
            <?php } } ?>
		</div>
        <?php if($juliet_frontpage_slider_type == 'Single') { ?></div><?php } ?>
	</div>
	<!-- /Frontpage Custom Slider -->

<?php } ?>

