<?php
/**
 * The template for displaying posts
 *
 * @package juliet
 */
?>
<?php get_header(); ?>

<?php
$juliet_posts_meta_show = juliet_get_option('juliet_posts_meta_show');
$juliet_posts_date_show = juliet_get_option('juliet_posts_date_show');
$juliet_posts_category_show = juliet_get_option('juliet_posts_category_show');
$juliet_posts_author_show = juliet_get_option('juliet_posts_author_show');
$juliet_posts_tags_show = juliet_get_option('juliet_posts_tags_show');
$juliet_posts_sidebar = juliet_get_option('juliet_posts_sidebar');
$juliet_posts_featured_image_show = juliet_get_option('juliet_posts_featured_image_show');

$juliet_posts_share_top_show = juliet_get_option('juliet_posts_share_top_show');
$juliet_posts_share_bottom_show = juliet_get_option('juliet_posts_share_bottom_show');

$juliet_posts_related_show = juliet_get_option('juliet_posts_related_show');
?>

<?php if($juliet_posts_sidebar == 1 ) { ?>
	<div class="row two-columns sidebar-right"><div class="main-column col-md-9">
<?php } else if($juliet_posts_sidebar == 2 ) { ?>
	<div class="row two-columns sidebar-left"><?php get_sidebar(); ?><div class="main-column col-md-9">
<?php } else if($juliet_woocommerce_sidebar == 0 ) { ?> 
	<div class="row one-column sidebar-none"><div class="main-column col-md-12">
<?php } ?>
    
        <?php while ( have_posts() ) : the_post(); ?>
        
        <!-- Post Content -->
        <div id="post-<?php the_ID(); ?>" <?php post_class('entry-post'); ?>>
            
            <div class="entry-header">
            
                <?php if($juliet_posts_meta_show == 1 && $juliet_posts_category_show == 1) { ?>
                <div class="entry-meta">
                    <div class="entry-category"><?php the_category( ' ~ ' ); ?></div>
                </div>
                <?php } ?>
                    
                <?php $title = get_the_title(); ?>
                <?php if($title == '') { ?>
                <h1 class="entry-title"><?php _e('Post ID: ', 'juliet'); the_ID(); ?></h1>
                <?php } else { ?>
                <h1 class="entry-title"><?php the_title(); ?></h1>
                <?php } ?>
                
                <?php if($juliet_posts_meta_show == 1 && ($juliet_posts_author_show == 1 || $juliet_posts_date_show == 1) ) { ?>
                <div class="entry-meta">
                    <?php 
                    $juliet_temp = array();
                    if($juliet_posts_author_show == 1)  $juliet_temp[] = '<div class="entry-author">' . esc_html_e('by ', 'juliet') . get_the_author() . '</div>';
                    if($juliet_posts_date_show == 1)    $juliet_temp[] = '<div class="entry-date">' . get_the_date() . '</div>';
                    if($juliet_temp) $juliet_str = implode('<span class="sep"> - </span>', $juliet_temp);
                    echo $juliet_str;
                    ?>
                </div>
                <?php } ?>

                <?php if($juliet_posts_share_top_show == 1) { ?>
                <div class="entry-share">
                    <?php 
                    if ( function_exists( 'sharing_display' ) ) { sharing_display( '', true ); }
                    if ( class_exists( 'Jetpack_Likes' ) ) {
                        $custom_likes = new Jetpack_Likes;
                        echo $custom_likes->post_likes( '' );
                    }
                    ?>
                </div>
				<div class="clearfix"></div>
                <?php } ?>
            
                
            </div>
            
            <?php 
            if($juliet_posts_featured_image_show == 1) { 
                if(has_post_thumbnail()) { ?>
                <div class="entry-thumb"><?php the_post_thumbnail( 'full', array( 'alt' => get_the_title(), 'class'=>'img-responsive' ) ); ?></div><?php } 
            } ?>
            
            <div class="entry-content">
            <div class="single-content">
                <?php the_content(); ?>
                <?php wp_link_pages(); ?>
            </div>
            </div>
            
            <?php if(  ( $juliet_posts_meta_show == 1 && $juliet_posts_tags_show == 1 ) || $juliet_posts_share_bottom_show == 1  ) { ?>
            <div class="entry-footer">
                <?php if( $juliet_posts_meta_show == 1 && $juliet_posts_tags_show == 1 ){ ?>
                <div class="entry-meta">
                    <?php if($juliet_posts_tags_show == 1 && has_tag()) { ?><div class="entry-tags"><?php the_tags('',''); ?></div><?php } ?>
                </div>
                <?php } ?>
                <?php if($juliet_posts_share_bottom_show == 1) { ?>
                <div class="entry-share">
                    <?php 
                    if ( function_exists( 'sharing_display' ) ) { sharing_display( '', true ); }
                    if ( class_exists( 'Jetpack_Likes' ) ) {
                        $custom_likes = new Jetpack_Likes;
                        echo $custom_likes->post_likes( '' );
                    }
                    ?>
                </div>
				<div class="clearfix"></div>
                <?php } ?>
            </div>
            <?php } ?>
        
        </div>
        <!-- /Post Content -->
        
        <?php if ( is_active_sidebar( 'post-ad' ) ) { dynamic_sidebar( 'post-ad' ); } ?>
        
        <hr />
		
        
        <?php 
        if($juliet_posts_related_show == 1) { 
            $juliet_related_posts = juliet_get_related_posts(get_the_ID(), 3); 
            if(count($juliet_related_posts)==3) { $orig_post = $post;?>
            <!-- Related Posts -->
            <div class="entry-related-posts">
                <h4><?php esc_html_e('Related Posts', 'juliet'); ?></h4>
                <div class="row" data-fluid=".entry-summary,.entry-title">
                <?php foreach($juliet_related_posts as $related_post) {
                    $post = get_post($related_post); 
                    setup_postdata($post); 
                    $juliet_image_size = 'juliet-focus'; $force_hide_share = 'Y'; $force_hide_meta = 'Y';
                    ?><div class="col-md-4"><?php include(locate_template('parts/entry.php')); ?></div><?php
                    wp_reset_postdata(); 
                }
                ?>
				</div>
            <hr />
			</div>
        <!-- /Related Posts -->
        <?php $post = $orig_post; } }?>
        
        <div class="pagination-post">
            <div class="previous_post"><?php previous_post_link('%link','%title'); ?></div>
            <div class="next_post"><?php next_post_link('%link','%title'); ?></div>
        </div>
        
        <!-- Post Comments -->
        <?php if ( comments_open() ) : ?>
        <hr />
        <?php comments_template(); ?>
        <?php endif; ?>  
        <!-- /Post Comments -->
        
    </div>
    <!-- /Main Column -->
    
    
    <?php if($juliet_posts_sidebar == 1)  get_sidebar();  ?>
    
</div>
<!-- /Two Columns -->
        
<?php endwhile; ?>

<?php get_footer(); ?>