<?php
/**
 * Template Name: Lookbook / Index
 *
 * The template for displaying a look book or post index page
 *
 * @package juliet
 */
?>
<?php get_header(); ?>

<?php while ( have_posts() ) : the_post(); ?>

<?php 
$juliet_page_meta = get_post_meta(get_the_ID(),'_lookbook_index_meta',TRUE);
$juliet_categories = explode(',', $juliet_page_meta['categories']);
$juliet_page_sidebar = 0;

if(count($juliet_categories)>0) {
	if (array_key_exists("number_of_posts",$juliet_page_meta))  $juliet_n = $juliet_page_meta['number_of_posts'];
    else $juliet_n = 4;
	$juliet_per_row = $juliet_page_meta['per_row'];
    $juliet_page_sidebar = $juliet_page_meta['sidebar'];
} else {
	$juliet_categories = get_categories( array( 'orderby' => 'name', 'order'   => 'ASC' ) );
	foreach( $juliet_categories as $category ) {   $temp[] = $category->term_id; }
	$juliet_categories = $temp;
	$juliet_n = 4;
    $juliet_per_row = 2;
    $juliet_page_sidebar = 1;
	
}

$total_categories = count($juliet_categories);
?>

<?php if($juliet_page_sidebar == 1 ) { ?>
	<div class="row two-columns sidebar-right"><div class="main-column col-md-9">
<?php } else if($juliet_page_sidebar == 2 ) { ?>
	<div class="row two-columns sidebar-left"><?php get_sidebar(); ?><div class="main-column col-md-9">
<?php } else if($juliet_page_sidebar == 0 ) { ?> 
	<div class="row one-column sidebar-none"><div class="main-column col-md-12">
<?php } ?>
        
    <div class="post-index-feed">
        
        <!-- Page Content -->
        <div id="page-<?php the_ID(); ?>" <?php post_class('entry-page entry-page-index'); ?>>
            
            <?php $title = get_the_title(); ?>
            <?php if($title == '') { ?>
            <h1 class="entry-title"><?php esc_html_e('Page ID: ', 'juliet'); the_ID(); ?></h1>
            <?php } else { ?>
            <h1 class="entry-title"><?php the_title(); ?></h1>
            <?php } ?>
            
            <div class="entry-content"><?php the_content(); ?></div>
        </div>
        <!-- /Page Content -->
        <hr />
        
        <?php $juliet_j=0; foreach($juliet_categories as $category_id) { ?>
        
            <h3 class="category-title"><a href="<?php echo esc_url(get_category_link( $category_id )) ?>"><?php echo esc_html(get_cat_name($category_id)) ?></a></h3>
                
            
            <?php 
            $force_hide_meta = 'Y'; $force_hide_share = 'Y'; $force_excerpt_only = 'Y'; $force_hide_signature = 'Y';
            if($juliet_per_row == 2)    $class = 'col-md-6';
            if($juliet_per_row == 3)    $class = 'col-md-4';
            if($juliet_per_row == 4)    $class = 'col-md-3';
            $juliet_i = 0; $args = array( 'posts_per_page' => $juliet_n, 'category' => $category_id , 'exclude' => get_option( 'sticky_posts' ) );
            $juliet_category_posts = get_posts( $args );
            
            foreach ( $juliet_category_posts as $post ) { 
            setup_postdata( $post ); ?>
            
            <?php if($juliet_i%$juliet_per_row == 0) { ?><div class="row"><?php } ?>
            
                <div class="<?php echo $class ?>">
                    <?php include(locate_template('parts/entry.php')); ?>
                </div>
            
            <?php $juliet_i++; if($juliet_i%$juliet_per_row == 0) { ?></div><?php } ?>
            <?php } 
            wp_reset_postdata(); 
            if($juliet_i % $juliet_per_row != 0) { ?></div><?php } ?>    
            
            <?php $juliet_j++;
            if($juliet_j < $total_categories) { ?>
            <hr />
            <?php } ?>
            
        <?php } ?>
        
    </div>
    <!-- /Index Feed -->
    
</div>

<?php if($juliet_page_sidebar == 1) { get_sidebar(); } ?>

</div>

<?php endwhile; ?>

<?php get_footer(); ?>